#pragma once

#include "HtmlElement.h"

class HtmlTextRun : public HtmlElement
{
public:
    HtmlTextRun() : HtmlElement("NONE_HtmlTextRun")
    {

    }

    Type getType() const override
    {
        return Type::TEXT_RUN;
    }

    std::string toString(unsigned depth = 0, bool keepInline = false) const override
    {
        const auto prefix = std::string(2*depth, ' ');
        return prefix + getText();
    }
};
